=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9), tk-dev, dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper (>= 10), tk-dev, dpkg-dev (>= 1.16.1~),
   dh-python,
   python2,
   python3-all-dev, python3-all-dbg, python3-setuptools,
