=== debian/changelog ===
pillow (8.1.2+dfsg-0.3+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Backport follow-up fix for CVE-2022-22817, upstream commit c930be075.
  * Backport fixes for CVE-2023-44271, CVE-2023-50447, CVE-2024-28219.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Jun 2024 16:59:20 +0100

pillow (8.1.2+dfsg-0.3+deb11u1) bullseye-security; urgency=medium

  * CVE-2022-22815 CVE-2022-22816 CVE-2022-22817

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 14 Jan 2022 16:44:08 +0100

pillow (8.1.2+dfsg-0.3) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix "CVE-2021-34552 - buffer overflow in Convert.c. Replace sprintf with
    snprintf. Backport upstream change from 8.3 to 8.1. (Closes: #991293)

 -- Neil Williams <codehelp@debian.org>  Tue, 20 Jul 2021 06:42:31 +0100
