=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 build-doc-stamp: build
 	echo XXXXXXXXXXXX BBB=$(BBB) / III=$(III)
-	PYTHONPATH=$(CURDIR)/$(wildcard build/lib.*-$(PY3VER)) $(MAKE) -C docs html
+	-PYTHONPATH=$(CURDIR)/$(wildcard build/lib.*-$(PY3VER)) $(MAKE) -C docs html
 	touch $@
 
 build-stamp: $(PY3VERS:%=build-stamp-python%) $(PY3VERS:%=check-stamp-python%)
@@ -79,7 +79,7 @@
 	dh_installdocs -ppython-pil-doc #Docs/*
 	dh_installexamples -ppython-pil-doc
 
-	dh_installdocs -ppython3-pil README.rst
+	dh_installdocs -ppython3-pil README.md
 
 	: # Replace all '#!' calls to python with /usr/bin/python
 	: # and make them executable
