## pillow 8.3.2

=== requirements.txt ===
--- 
+++ 
@@ -2,13 +2,17 @@
 black
 check-manifest
 coverage
+defusedxml
 markdown2
 olefile
 packaging
 pyroma
 pytest
 pytest-cov
+pytest-timeout
 sphinx>=2.4
+sphinx-copybutton
 sphinx-issues
 sphinx-removed-in
 sphinx-rtd-theme
+sphinxext-opengraph
