=== debian/changelog ===
pillow (8.3.2-1~mx21) mx; urgency=medium

  * Rebuild for MX-21 Test repo

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 04 Jul 2023 13:05:42 -0400

pillow (8.3.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 15:35:03 +0200

pillow (8.2.0-1) experimental; urgency=medium

  * New upstream version.
  * Build-depend on libopenjp2-7-dev. Closes: #904478.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Apr 2021 11:37:53 +0200

pillow (8.1.2+dfsg-1) unstable; urgency=medium

  * Stop building the python3-*-dbg packages. Closes: #994317.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Sep 2021 14:16:02 +0200
